package core.process;

import core.operation.FillInformation;
import error.GExcptInit;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

public class C_StudentFillGraduationDesignInformation extends TempProcess{
    String graduationDesignId;
    Map<String,String> vMap;
    protected static String buttonName ="填写选题信息";
    protected static String iconURL="../cssFile/images/filText.png";
    protected static String targetURL="/home/student-fill-graduation-design-information";
    protected static String info = "";

    static  String table="graduation_design_opening_report_opinion_record";

    public void fillInformation() throws Exception{
        if(!check()) throw new GExcptInit("FillInformation Attrs init error!");
        FillInformation fillInformation=new FillInformation();
        fillInformation.setOptions(new HashMap<>());
        fillInformation.addOptions("table",table);
        Map<String, String>limits = new HashMap<>();
        limits.put("id",this.getGraduationDesignId());
        fillInformation.addOptions("limits",limits);
        fillInformation.execute(null);
    }
    protected boolean check() {
        if(this.getGraduationDesignId()==null||this.getVMap()==null)
            return false;
        return true;
    }
    @Override
    public String getGraduationDesignId() {
        return graduationDesignId;
    }

    @Override
    public void setGraduationDesignId(String graduationDesignId) {
        this.graduationDesignId = graduationDesignId;
    }

    public void setVMap(Map<String, String> vMap) {
        this.vMap = vMap;
    }

    public Map<String, String> getVMap() {
        return vMap;
    }


    @Override
    public String getInfo() {
        return info;
    }

    @Override
    public String getTargetURL() {
        return targetURL;
    }

    @Override
    public String getIconURL() {
        return iconURL;
    }

    @Override
    public String getButtonName() {
        return buttonName;
    }
}